<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<fragment>
  <extension point="org.eclipse.ui.commandImages">
        <image commandId="com.tsystems.cmi.r2.application.expand" icon="/images/cmi_expand_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.pack" icon="/images/cmi_pack_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.unpack" icon="/images/cmi_unpack_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.removeRoot" icon="/images/cmi_removeroot_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.refresh" icon="/images/cmi_refresh_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.highlightToCatia" icon="/images/cmi_highlighttocatia_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.setDrawFlag" icon="/images/cmi_setdrawflag_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.setSwapFlag" icon="/images/cmi_setswapflag_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.setActiveFlag" icon="/images/cmi_setactiveflag_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.sendToCatia" icon="/images/cmi_sendtocatia_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.tempToCatia" icon="/images/cmi_temptocatia_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.usePdmStructureToCatia" icon="/images/cmi_usepdmstructuretocatia_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.cancelToCatia" icon="/images/cmi_canceltocatia_16.png" />
        <image commandId="com.tsystems.cmi.r2.application.clearWorkbench" icon="/images/cmi_clearworkbench_16.png" />
		<image commandId="com.tsystems.cmi.r2.application.volumeSearch" icon="/images/cmi_volumesearch_16.png" />
		<image commandId="com.tsystems.cmi.r2.application.neighbourhoodSearch" icon="/images/cmi_neighbourhoodsearch_16.png" />
		<image commandId="com.tsystems.cmi.about" icon="/images/cmi_about_16.png" />
		<image commandId="com.tsystems.cmi.addCATIAAuxPartDataset" icon="/images/cmi_addauxpart_16.png" />
		<image commandId="com.tsystems.cmi.addCATIABomPartDataset" icon="/images/cmi_addbompart_16.png" />
		<image commandId="com.tsystems.cmi.addCATIAProductDataset" icon="/images/cmi_addproduct_16.png" />
		<image commandId="com.tsystems.cmi.addCATIADrawingDataset" icon="/images/cmi_adddrawing_16.png" />
		<image commandId="com.tsystems.cmi.createCATIAAuxPart" icon="/images/cmi_createauxpart_16.png" />
		<image commandId="com.tsystems.cmi.createCATIABomPart" icon="/images/cmi_createbompart_16.png" />
		<image commandId="com.tsystems.cmi.createCATIAProduct" icon="/images/cmi_createproduct_16.png" />
		<image commandId="com.tsystems.cmi.createCATIADrawing" icon="/images/cmi_createdrawing_16.png" />
        <image commandId="com.tsystems.cmi.sendToCatia" icon="/images/cmi_sendtocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendConfiguredToCatia" icon="/images/cmi_sendtocatia_16.png" />
        <image commandId="com.tsystems.cmi.highlightFromPseToCatia" icon="/images/cmi_highlighttocatia_16.png" />
        <image commandId="com.tsystems.cmi.saveAsFromExplorerToCatia" icon="/images/cmi_saveastocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendFromExplorerToCatia" icon="/images/cmi_sendtocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendConfiguredFromExplorerToCatia" icon="/images/cmi_sendtocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendFromPseToCatia" icon="/images/cmi_sendtocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendDmuFromPseToCatia" icon="/images/cmi_senddmutocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendFromCmeCcToCatia" icon="/images/cmi_sendtocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendDmuFromCmeCcToCatia" icon="/images/cmi_senddmutocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendFromCmeMppToCatia" icon="/images/cmi_sendtocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendDmuFromCmeMppToCatia" icon="/images/cmi_senddmutocatia_16.png" />
        <image commandId="com.tsystems.cmi.sendSelectedFromPseToCatia" icon="/images/cmi_sendselectedtocatia_16.png" />
        <image commandId="com.tsystems.cmi.tempFromExplorerToCatia" icon="/images/cmi_temptocatia_16.png" />
        <image commandId="com.tsystems.cmi.tempFromPseToCatia" icon="/images/cmi_temptocatia_16.png" />
        <image commandId="com.tsystems.cmi.tempFromCmeCcToCatia" icon="/images/cmi_temptocatia_16.png" />
        <image commandId="com.tsystems.cmi.tempFromCmeMppToCatia" icon="/images/cmi_temptocatia_16.png" />
        <image commandId="com.tsystems.cmi.usePdmStructureFromExplorerToCatia" icon="/images/cmi_usepdmstructuretocatia_16.png" />
        <image commandId="com.tsystems.cmi.usePdmStructureFromPseToCatia" icon="/images/cmi_usepdmstructuretocatia_16.png" />
        <image commandId="com.tsystems.cmi.usePdmStructureFromCmeCcToCatia" icon="/images/cmi_usepdmstructuretocatia_16.png" />
        <image commandId="com.tsystems.cmi.usePdmStructureFromCmeMppToCatia" icon="/images/cmi_usepdmstructuretocatia_16.png" />
        <image commandId="com.tsystems.cmi.cancelFromExplorerToCatia" icon="/images/cmi_canceltocatia_16.png" />
        <image commandId="com.tsystems.cmi.cancelFromPseToCatia" icon="/images/cmi_canceltocatia_16.png" />
        <image commandId="com.tsystems.cmi.cancelFromCmeCcToCatia" icon="/images/cmi_canceltocatia_16.png" />
        <image commandId="com.tsystems.cmi.cancelFromCmeMppToCatia" icon="/images/cmi_canceltocatia_16.png" />
		<image commandId="com.tsystems.cmi.datasetRevise" icon="/images/cmi_datasetrevise_16.png" />
		<image commandId="com.tsystems.cmi.volumeSearch" icon="/images/cmi_volumesearch_16.png" />
		<image commandId="com.tsystems.cmi.neighbourhoodSearch" icon="/images/cmi_neighbourhoodsearch_16.png" />
  </extension>

<!--
	<extension point="org.eclipse.ui.menus">
		<menuContribution locationURI="popup:org.eclipse.ui.popup.any?after=cmi.popup.group.sendToCatia">
	    <menu id="cmiextensions.Add" label="%cmiAdd.LABEL">
			<separator name="cmi.popup.add.group"/>
	        <command commandId="com.tsystems.cmi.addCATIABomPartDataset">
	           <visibleWhen>
	              <and>
		             <or>
				        <reference definitionId="com.teamcenter.rac.ui.inMainPerspective" />
		             </or>
		             <with variable="selection">
		                <count value="*" />
		                <iterate ifEmpty="false">
		                   <or>
		                      <reference definitionId="com.tsystems.cmi.itemRevisionActive"/>
		                   </or>
		                </iterate>
		             </with>
	              </and>
	           </visibleWhen>
	        </command>
	        <command commandId="com.tsystems.cmi.addCATIAAuxPartDataset">
	           <visibleWhen>
	              <and>
		             <or>
				        <reference definitionId="com.teamcenter.rac.ui.inMainPerspective" />
		             </or>
		             <with variable="selection">
		                <count value="*" />
		                <iterate ifEmpty="false">
		                   <or>
		                      <reference definitionId="com.tsystems.cmi.itemRevisionActive"/>
		                   </or>
		                </iterate>
		             </with>
	              </and>
	           </visibleWhen>
	        </command>
	        <command commandId="com.tsystems.cmi.addCATIAProductDataset">
	           <visibleWhen>
	              <and>
		             <or>
				        <reference definitionId="com.teamcenter.rac.ui.inMainPerspective" />
		             </or>
		             <with variable="selection">
		                <count value="*" />
		                <iterate ifEmpty="false">
		                   <or>
		                      <reference definitionId="com.tsystems.cmi.itemRevisionActive"/>
		                   </or>
		                </iterate>
		             </with>
	              </and>
	           </visibleWhen>
	        </command>
	        <command commandId="com.tsystems.cmi.addCATIADrawingDataset">
	           <visibleWhen>
	              <and>
		             <or>
				        <reference definitionId="com.teamcenter.rac.ui.inMainPerspective" />
		             </or>
		             <with variable="selection">
		                <count value="*" />
		                <iterate ifEmpty="false">
		                   <or>
		                      <reference definitionId="com.tsystems.cmi.itemRevisionActive"/>
		                   </or>
		                </iterate>
		             </with>
	              </and>
	           </visibleWhen>
	        </command>
	         <separator name="additions"/>
         </menu>
	</menuContribution>

  </extension>
-->

</fragment>
